Docs

Get a docs page

Returns one page of the Needle documentation as markdown: the introduction, authentication, the changelog, or a concept such as leads, campaigns, webhooks, or attio.

GET

/api/v1/docs/{pageId}

Path parameters

pageId

required

string

The last part of a docs page URL, for example `attio` for https://needle.app/docs/attio.

Response

200The docs page.

markdown

string

The page as markdown.

requestId

string · uuid

Id of this request, for support and troubleshooting

Errors

  • 400: Bad request
  • 401: Unauthorized: missing or invalid API key
  • 403: Forbidden
  • 404: Not found
  • 422: Invalid request payload

Search docs

Search documentation, API reference, and MCP tools

We use cookies to enhance your experience on Needle and keep your data secure. Privacy Policy